var NCOWebtopForm = null; // gets set in init
var NCOWebtopFormName = "toolname";
var NCOWebtopButtons = new Array();

var NCOWebtopWindowParams = "location=no,status=no,height=500,width=800,scrollbar=yes";
var NCOWebtopWindowNewParams = "location=no,status=no,height=500,width=800,scrollbar=yes,resizable=yes";

NCOWebtopButtons[ 0 ] = "doModify";
NCOWebtopButtons[ 1 ] = "doDelete"; 

NCOWebtopURLBase = null;

//******************************************************************************************
function NCOWebtopInit()
{
	NCOWebtopForm = document.forms[ "tools" ];
	NCOWebtopURLBase = document.location +"/";
	NCOWebtopDoselectionUpdate( );
}


//******************************************************************************************
function NCOWebtopAddTool( toolName )
{
	var newOption = null;
	if ( NCOWebtopToolExists( toolName ) )
	{
		return;
	}	
	var insertPoint = NCOWebtopGetInsertionPoint( toolName );
	NCOWebtopShiftDown( insertPoint );
	newOption = new Option( toolName , toolName , false, false );
	NCOWebtopForm.elements[ NCOWebtopFormName ].options[ insertPoint ] = newOption;
	NCOWebtopDoselectionUpdate( );
}

document.NCOWebtopAddTool = NCOWebtopAddTool;

//******************************************************************************************
function NCOWebtopRemoveTool( toolName )
{
	var newOption = null;
	var deletePoint = -1;
	if ( ( deletePoint = NCOWebtopGetToolsIndex( toolName ) ) == -1 )
	{
	}
	else
	{
		NCOWebtopShiftUp( deletePoint );
	}
	NCOWebtopDoselectionUpdate( );	
}
document.NCOWebtopRemoveTool = NCOWebtopRemoveTool;

//****************************************************************************	
function NCOWebtopShiftDown( from )
{
	var size = NCOWebtopToolsCount();
	NCOWebtopForm.elements[ NCOWebtopFormName ].options.length++;
	var i = 0;

	for ( i = size  ; i > from ; i-- )
	{
		NCOWebtopForm.elements[ NCOWebtopFormName ].options[ i ] = NCOWebtopCloneElement( NCOWebtopFormName, i - 1);
	}

}

//****************************************************************************	
function NCOWebtopShiftUp( from )
{
	var size = NCOWebtopToolsCount();

	var i = 0;

	for ( i = from  ; i < ( size - 1 ); i++ )
	{
		NCOWebtopForm.elements[ NCOWebtopFormName ].options[ i ] = NCOWebtopCloneElement( NCOWebtopFormName, i + 1 );
	}
	NCOWebtopForm.elements[ NCOWebtopFormName ].options.length--;
}

//****************************************************************************	
function NCOWebtopToolExists( toolName )
{
	var size = NCOWebtopToolsCount();
	var i = 0;
	for ( i = 0 ; i < size ; i++ )
	{
		if ( NCOWebtopForm.elements[ NCOWebtopFormName ].options[ i ].value == toolName )
		{
			return true;
		}
	}
	return false;
}

//****************************************************************************	
function NCOWebtopToolsCount()
{
	return NCOWebtopForm.elements[ NCOWebtopFormName ].options.length;
}

//******************************************************************************************
function NCOWebtopAddNewTool( )
{
	var newUrl = NCOWebtopURLBase + "AddTool/";
	window.open( newUrl , "newToolEditWindow" , NCOWebtopWindowNewParams );	
}

//******************************************************************************************
function NCOWebtopModifyTool( )
{
	if ( !NCOWebtopItemsSelected( "tools" , "toolname" ) )
	{
		return;
	}
	// NBS 29291: toolName needs to be URL-encoded.
	var toolName = encodeURIComponent(
		NCOWebtopGetCurrentTool( "tools" ,  NCOWebtopFormName ) );
	var newUrl = NCOWebtopURLBase + "ModifyTool/?toolname=" + toolName;
	window.open( newUrl , "toolEditWindow" , NCOWebtopWindowParams );
}


//******************************************************************************************
function NCOWebtopDeleteTool( )
{
	if ( !NCOWebtopItemsSelected( "tools" , "toolname" ) )
	{
		return;
	}
	// NBS 29291: toolName needs to be URL-encoded.
	var toolName =  encodeURIComponent(
		NCOWebtopGetCurrentTool( "tools" ,  NCOWebtopFormName ) );
	var newUrl = NCOWebtopURLBase + "DeleteTool/?toolname=" +  toolName ;
	window.open( newUrl , "toolEditWindow" , NCOWebtopWindowParams );
}





//******************************************************************************************
function NCOWebtopDoselectionUpdate( )
{
        if ( document.layers )
        {
                return;
        }
        else
        {
                if ( NCOWebtopItemsSelected( "tools" , "toolname" ) )
                {
                        NCOWebtopUpdateButtons( false );
                }
                else
                {
                        NCOWebtopUpdateButtons( true );
                }
        }
}
 
//****************************************************************************
function NCOWebtopUpdateButtons( update )
{
        var size = NCOWebtopButtons.length;
        var i = 0;
        for ( i = 0 ; i < size ; i++ )
        {
                NCOWebtopForm.elements[ NCOWebtopButtons[ i ] ].disabled = update;
        }
}
 
//****************************************************************************
function NCOWebtopGetCurrentTool( formName , componentName )
{
        var selectedIndex = NCOWebtopGetSelectedIndex( formName , componentName );
        return document.forms[ formName ][ componentName ].options[ selectedIndex ].value;
}                                                                                                  
//****************************************************************************
function NCOWebtopGetSelectedIndex( formName , componentName )
{
        return document.forms[ formName ][ componentName ].options.selectedIndex;
}

//****************************************************************************	
function NCOWebtopGetToolsIndex( name )
{
	var size = NCOWebtopToolsCount();
	var currValue = null;
	var i = 0;
	for ( i = 0 ; i < size ; i++ )
	{
		currValue = NCOWebtopForm.elements[ NCOWebtopFormName ].options[ i ].value;
		if ( currValue == name )
		{
			return i;
		}
	}
	return -1;
}

//****************************************************************************	
function NCOWebtopGetInsertionPoint( name )
{
	var size = NCOWebtopToolsCount();
	var currValue = null;
	var i = 0;
	for ( i = 0 ; i < size ; i++ )
	{
		currValue = NCOWebtopForm.elements[ NCOWebtopFormName ].options[ i ].value;
		if ( currValue > name )
		{
			return i;
		}
	}
	return i;
}

 
//****************************************************************************
function NCOWebtopItemsSelected( formName , componentName )
{
        return ( document.forms[ formName ][ componentName ].options.selectedIndex  > -1 );
}   

//************************************************************************************************
function NCOWebtopCloneElement( formElementName , index )
{
	var text = NCOWebtopForm.elements[ formElementName ][ index ].text;
	var value = NCOWebtopForm.elements[formElementName ][ index ].value;
	var option = new Option( text , value , false , false );
	return option;
}
