<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ page import="com.micromuse.wave.fvbuilder.Filter" %>
<%@ page errorPage="errorpage.jsp" %>
<%@ taglib uri="/WEB-INF/tld/app.tld"    prefix="app" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>
<%@ taglib prefix="ncw-utils" uri="/WEB-INF/tld/ncw-utils.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<jsp:useBean id="ncwin" class="com.micromuse.ncw.beans.NCWI18NSupport" scope="page"/>
<c:set target="${pageScope.ncwin}" value="${pageContext.session}" property="session"/>
<c:set target="${pageScope.ncwin}" value="filterviewbuilder" property="resourcename"/>
<c:set var="bundle" value="${pageScope.ncwin.bundlename}"/>
<fmt:setBundle basename="${bundle}" var="langset" scope="request"/>
<jsp:useBean id="filterForm" class="com.micromuse.wave.fvbuilder.FilterForm" scope="session"/>

<%
	String[] fieldnames = filterForm.getFieldnames();

	Filter filter = (Filter)session.getAttribute("filter");
	String[] field = {""};
   	String[] comparator = {""};
   	String[] value = {""};
	if(filter != null) {
		field = filter.getField();
   		comparator = filter.getComparator();
   		value = filter.getValue();
	}
	if(field.length == 0) {
		field = new String[]{" "};
   		comparator = new String[]{" "};
   		value = new String[]{""};
	}
	
%>


<app:checkLogon/>

<html:html locale="true">

<head>
<meta http-equiv=Content-Type content="text/html; charset=utf-8">

<html:base />

	<link rel=stylesheet TYPE="text/css"  href="../lwsel/style.css" title="Default">	
	<link rel=stylesheet TYPE="text/css"  href="../lwsel/master.css" title="Default">
	<script language="javascript" src="scripts/filterbuilder-tabs.js">
	</script>
	<script language="javascript" src="scripts/filterbuilder-basic.js">
	</script>
	<script language="javascript" src="scripts/filterbuilder-basic.jsp">
	</script>
	<script language="javascript" src="scripts/filterdescription.js">
	</script>
	<script language="javascript" src="scripts/filterbuilder-os.jsp">
	</script>

</head>

<body onload="init();" bgcolor="#EEEEEE" style="padding: 0px; scrollbar-base-color: #CCCCCC; background-image: url(../lwsel/images/scan_lines.png)">


<html:form method="POST" action="/saveFilter.do">

				<%@ include file="filtermainpanel.inc" %>


<html:hidden name="user" property="username"/>
<html:hidden property="mode" />
<html:hidden name="filterForm" property="type"/>
<html:hidden name="user" property="role" />
<html:hidden property="copytouser"/>
<html:hidden property="copytoglobal" />
<html:hidden property="filtername" />
<input name="filterlist" type="hidden" value="<%=request.getParameter("filterlist")%>">
<input name="exec" type="hidden" value="">
<input name="oldaction" type="hidden" value="<jsp:getProperty name="filterForm" property="action"/>">
<input name="operation" type="hidden" value="">

</html:form>

</body>
</html:html>