/******************************************************************************************
 *
 */
function init()
{
  NCWebtopFieldLists = getOSList();
  //addNewRow();
  //setNewRowActive();
  document.submitFilterData = submitFilterData;

  attachNSEventHandlers();
}

/******************************************************************************************
 *
 */
function submitFilterData()
{
  // validate etc ..
  window.parent.frames[ "messages" ].document.setMessage( "Updated " + new Date() );
  document.forms[ "filterForm" ].submit();
}

/******************************************************************************************
 *
 */

function doClearAll()
{
  var baseTable = document.getElementById( "basicfiltertable" );

  if(baseTable == null) return;
  var tRows =  baseTable.getElementsByTagName( "TR" );
  var numOfRows = tRows.length;

  for ( var i = 0; i < numOfRows; i++ )
  {
     baseTable.deleteRow(0);
  }

  addNewRow();
  setNewRowActive();  
}


/******************************************************************************************
 *
 */
function deleteBasicRow( evnt )
{
  var tRow = getDeleteRow( getEventSource( evnt ) );

  if ( isLastTableRow( tRow ) )
    {
	return;
	
    }
  else
    {
	var baseTable = document.getElementById( "basicfiltertable" );

   	if( baseTable == null)
	  {
	    return;
	  }
// 	var tRows =  baseTable.getElementsByTagName( "TR" );
// 	var tRow = tRows[ tRows.length - 1 ];
// 	var input = tRow.getElementsByTagName( "input" )[ 0 ];

	removePageElement( baseTable , tRow );
	cancelEvent( evnt );
    }

}



/******************************************************************************************
 *
 */
function addCondition( evnt )
{

  var eventSource = getEventSource( evnt );

  if ( isValidRow( eventSource ) )
    {
      //     removeLastRowHandler();
      addNewRow( evnt );
      //      setNewRowActive();
    }
  else
    {

    }
  cancelEvent( evnt );

}

/******************************************************************************************
 *
 */
function getRowNumber( tRow )
{
  var baseTable = document.getElementById( "basicfiltertable" );
  if(baseTable == null) return;

  var tRows =  baseTable.getElementsByTagName( "TR" );
  var numOfRows = tRows.length;
  for ( var i = 0 ; i < numOfRows ; i++ )
    {
      if ( tRows[ i ] == tRow )
	{
	  return i;
	}
    }
  return -1;
}

/******************************************************************************************
 *
 */
function getTableRowCount()
{
  var baseTable = document.getElementById( "basicfiltertable" );
  if(baseTable == null) return;

  var tRows =  baseTable.getElementsByTagName( "TR" );
  return tRows.length;
}

/******************************************************************************************
 *
 */
function isLastTableRow( tRow )
{
  var tRowNumber = getRowNumber( tRow );

  //return ( getTableRowCount() == ( tRowNumber + 1 ) );
  return ( getTableRowCount() == 1);

}




/******************************************************************************************
 *
 */
function handleKeyPress()
{

	if ( event.keyCode == 13 )
	{
		if ( isValidRow( event.srcElement ) )
		{
			removeLastRowHandler();
			addNewRow();
			setNewRowActive();
		}
 	}
}



/******************************************************************************************
 *
 */
function handleOnBlur()
{

		if ( isValidRow( event.srcElement ) )
		{
			removeLastRowHandler();
			addNewRow();
			setNewRowActive();
			event.returnValue = false;
		}	
}



/******************************************************************************************
 *
 */
function isValidRow( eventSourceElement )
{

  var baseTableRow = getBaseTableRow( eventSourceElement );
  var tableCell = eventSourceElement.parentNode ;

  if ( baseTableRow == null )
    {
      return false;    
    }

	return ( hasValidField( baseTableRow ) 
		&& hasValidComparator( baseTableRow ) )
}

/******************************************************************************************
 *
 */
function hasValidComparator( baseTableRow ) 
{
	var fieldCell = (baseTableRow.getElementsByTagName( "TD" ))[ 1 ];
	var selection = fieldCell.getElementsByTagName( "select" )[ 0 ];
	return !(selection.selectedIndex == 0 );
}

/******************************************************************************************
 *
 */
function hasValidField(  baseTableRow  ) 
{

	var fieldCell = (baseTableRow.getElementsByTagName( "TD" ))[ 0 ];
	var selection = fieldCell.getElementsByTagName( "select" )[ 0 ];

	return !(selection.selectedIndex == 0 );
}

/******************************************************************************************
 *
 */
function createNewBasicFilterRow()
{
	var tRow = document.createElement( "TR" );
	tRow.appendChild( createBasicFieldElement() ) 
	tRow.appendChild( createBasicComparatorElement() ) 
	tRow.appendChild( createBasicValueElement() ) 
	tRow.appendChild( createBasicDeleteElement() ) 	
	return tRow;
}

/******************************************************************************************
 *
 */
function createBasicFieldElement()
{
	var tCell = document.createElement( "TD" );
	tCell.className = "TBLheader";
	tCell.style.width = "32%";
	tCell.align = "center";
	tCell.appendChild(  createFieldElementSelect() );
	return tCell;

}


/******************************************************************************************
 *
 */
function createBasicComparatorElement()
{
	var tCell = document.createElement( "TD" );
	tCell.className = "TBLheader";
	tCell.style.width = "18%";
	tCell.appendChild(  createComparatorElementSelect(0) );
	return tCell;	
}

/******************************************************************************************
 *
 */
function createBasicDeleteElement()
{
	var tCell = document.createElement( "TD" );
	tCell.className = "TBLheader";
	tCell.style.width = "11%";
	tCell.appendChild( createDeleteButton() );
	tCell.appendChild( createAddConditionButton() );
	return tCell;  
}
