<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>

<%@ taglib prefix="ncw-utils" uri="/WEB-INF/tld/ncw-utils.tld" %>

<ncw-utils:login/>

<jsp:useBean id="lwseltable" class="com.micromuse.ncw.beans.lwsel.LwselTableView"/>
<jsp:useBean id="ncwin" class="com.micromuse.ncw.beans.NCWI18NSupport" scope="page"/>
<jsp:setProperty name="lwseltable" property="*"/>
<c:set target="${pageScope.lwseltable}" value="${pageContext.session}" property="session"/>
<c:set target="${pageScope.ncwin}" value="${pageContext.session}" property="session"/>
<c:set target="${pageScope.ncwin}" value="lwsel.uiresources" property="resourcename"/>
<c:set var="bundle" value="${pageScope.ncwin.bundlename}"/>
<fmt:setBundle basename="${bundle}" var="langset" scope="request"/>


<%
if(!lwseltable.isDataSourceAvailable()) {%>

	<jsp:forward page="oserror.html">
	</jsp:forward>

<%}%>


<html>
<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html;charset=UTF-8">
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
	<head>
	<meta http-equiv=Content-Type content="text/html; charset=utf-8">
	<title>
		LEL 0.2.0 - entity: <jsp:getProperty name="lwseltable" property="entityname"/>  view: basic
	</title>
	<link rel=stylesheet TYPE="text/css"  href="style.css" title="Default">	
	<link rel=stylesheet TYPE="text/css"  href="master.css" title="Default">
	<link rel=stylesheet TYPE="text/css"  
	   href="SeverityStyleSheet.jsp?datasource=<c:out value="${param.datasource}"/>" title="Default">
	<link rel=stylesheet TYPE="text/css"  
	   href="viewstylesheet.jsp?entityname=<c:out value="${param.entityname}"/>" title="Default">	
	<script src="scripts/lwsel.js">
	</script>
	<style type="text/css">	
		body 
		{
			height:100%;
			max-height:100%;
			width: 100%;
			overflow:hidden;
			padding:0;
			margin:0;
			border:0;
			scrollbar-base-color: #CCCCCC; 
			background-image: url(images/scan_lines.png);
		}
	</style>
	</head>
<body onload="init();" onkeypress="handleKeyPress();" bgcolor="#EEEEEE">

<%@ include file="form.jsp" %>
<div id="LELHead">
		<%@ include file="toolbar.jsp" %>
</div>

<div id="LELAlerts">
			<%@ include file="alerts.jsp" %>	
</div>

<div id="LELFoot">
		<%@ include file="alertsummary.jsp" %>
		<%@ include file="usersummary.jsp" %>
</div>

</body>
</html>
